Description

| have the latest build of Doomsday Engine.app (1.9.0 beta 6.2) and when | double click it to start, it gives an error:
An unexpected error has occurred during execution of the main script

TypeError: fake_getline() takes exactly 2 arguments (3 given)

See the Console for a detailed traceback.

The following shows up in the terminal log:

[Debug] 13:34:46: Corrupt MIME database!

Traceback (most recent call last):

File "/Users/Andre/Desktop/Games/DOOM/Doomsday Engine.app/Contents/Resources/__boot__.py", line 31, in <module>
run(‘'snowberry.py')

File "/Users/Andre/Desktop/Games/DOOM/Doomsday Engine.app/Contents/Resources/ boot__.py", line 28, in _run
execfile(path, globals(), globals())

File "/Users/Andre/Desktop/Games/DOOM/Doomsday Engine.app/Contents/Resources/snowberry.py”, line 44, in <module>
main()

File "/Users/Andre/Desktop/Games/DOOM/Doomsday Engine.app/Contents/Resources/snowberry.py”, line 30, in main
plugins.loadAll()

File "plugins.pyo”, line 89, in loadAll

File "logger.pyo", line 128, in formatTraceback

File "traceback.pyo”, line 101, in extract_tb

TypeError: fake_getline() takes exactly 2 arguments (3 given)

2009-05-14 13:34:46.262 Doomsday Engine®® Doomsday Engine Error

2009-05-14 13:34:46.263 Doomsday Engine®® An unexpected error has occurred during execution of the main script

TypeError: fake_getline() takes exactly 2 arguments (3 given)

Labels: Startup

History

#1 - 2009-07-25 11:54 - skyjake

Still relevant?

#2 - 2009-07-26 03:18 - pingosimon

Yep! Nothing's changed since then.
#3 - 2009-07-26 05:44 - skyjake
I'm suspecting this is a (Python) version conflict.

- Which Mac OS X version are you running?
- If you open a Terminal and type "python --version", what is printed?

#4 - 2009-07-27 02:07 - pingosimon
I'm running Mac OS 10.4.11

"python -v" shows version 2.3 | think:

1. installing zipimport hook
import zipimport # builtin
2. installed zipimport hook
import site # precompiled from /System/Library/Frameworks/Python.framework/Versions/2.3/lib/python2.3/site.pyc
import os # precompiled from /System/Library/Frameworks/Python.framework/Versions/2.3/lib/python2.3/0s.pyc
import posix # builtin
import posixpath # precompiled from /System/Library/Frameworks/Python.framework/Versions/2.3/lib/python2.3/posixpath.pyc
import stat # precompiled from /System/Library/Frameworks/Python.framework/Versions/2.3/lib/python2.3/stat.pyc
import UserDict # precompiled from /System/Library/Frameworks/Python.framework/Versions/2.3/lib/python2.3/UserDict.pyc
import copy_reg # precompiled from /System/Library/Frameworks/Python.framework/Versions/2.3/lib/python2.3/copy_reg.pyc
import types # precompiled from /System/Library/Frameworks/Python.framework/Versions/2.3/lib/python2.3/types.pyc
import warnings # precompiled from /System/Library/Frameworks/Python.framework/Versions/2.3/lib/python2.3/warnings.pyc
import linecache # precompiled from /System/Library/Frameworks/Python.framework/Versions/2.3/lib/python2.3/linecache.pyc
import encodings # directory /System/Library/Frameworks/Python.framework/Versions/2.3/lib/python2.3/encodings
import encodings # precompiled from /System/Library/Frameworks/Python.framework/Versions/2.3/lib/python2.3/encodings/__init__.pyc
import codecs # precompiled from /System/Library/Frameworks/Python.framework/Versions/2.3/lib/python2.3/codecs.pyc
import _codecs # builtin
import encodings.aliases # precompiled from /System/Library/Frameworks/Python.framework/Versions/2.3/lib/python2.3/encodings/aliases.pyc
import encodings.ascii # precompiled from /System/Library/Frameworks/Python.framework/Versions/2.3/lib/python2.3/encodings/ascii.pyc
Python 2.3.5 (#1, Mar 20 2005, 20:38:20)
[GCC 3.3 20030304 (Apple Computer, Inc. build 1809)] on darwin

Type "help", "copyright", "credits" or "license" for more information.

#5 - 2009-07-27 06:33 - skyjake

I have 10.4.11 on my PowerBook G4 with the same Python version and there it runs fine, so it must be something else...
A few more things to try:

- Rename your "Doomsday Engine" folder under "~/Library/Application Support" to "Doomsday Engine old". Maybe there's something wrong in there
that's causing the issue.

- Try starting Doomsday Engine.app directly from the distribution disk image (not from your hard drive).

#6 - 2009-07-28 02:05 - pingosimon

Well renaming the folder to "Doomsday Engine old" got me to a new point. Starting the engine from the disk image produces the same results.
First, | get this error from Doomsday Engine:

Error

Plugin Error

The loading of a plugin failed, while executing tab40_settings.init().

Reason:

PyAssertionError: C++ assertion "m_hlC != NULL" failed at /BUILD/wxPython-src-2.8.10.1/src/mac/carbon/mimetmac.cpp(708) in
GetFileTypeFromExtension(): wxMimeTypesManager not Initialized!

File "plugins.pyo", line 81, in loadAll

File ", line 1, in

File "/Users/Andre/Desktop/Doomsday Engine.app/Contents/Resources/plugins/tab40_settings.py", line 50, in init

File "/Users/Andre/Desktop/Doomsday Engine.app/Contents/Resources/plugins/tab40_settings.py", line 78, in createWidgets
File "sb/widget/tab.pyo", line 128, in addTab

File "sb/widget/list.pyo", line 726, in addltem

File "sb/widget/list.pyo", line 741, in __updateltemCount

File "wx/_windows.pyo", line 2054, in SetltemCount

Then after clicking OK and waiting a long time | get this, 3 times in a row:

Error

Runtime Error

An unexpected error occured during the processing of event language-changed. Please report this incident to skyjake@users.sourceforge.net.
Exception:

C++ assertion "m_hIC != NULL" failed at /BUILD/wxPython-src-2.8.10.1/src/mac/carbon/mimetmac.cpp(708) in GetFileTypeFromExtension():
wxMimeTypesManager not Initialized!

Traceback:

PyAssertionError: C++ assertion "m_hlC = NULL" failed at /BUILD/wxPython-src-2.8.10.1/src/mac/carbon/mimetmac.cpp(708) in
GetFileTypeFromExtension(): wxMimeTypesManager not Initialized!

File "events.pyo", line 401, in send

File "/Users/Andre/Desktop/Doomsday Engine.app/Contents/Resources/plugins/profilelist.py"”, line 215, in notifyHandler

File "/Users/Andre/Desktop/Doomsday Engine.app/Contents/Resources/plugins/profilelist.py”, line 199, in addListltem

File "sb/widget/list.pyo", line 726, in addltem

File "sb/widget/list.pyo", line 741, in __updateltemCount

File "wx/_windows.pyo", line 2054, in SetltemCount
Then the setup seems to proceed as normal, asking languages, which games | want to setup and telling me to locate my WAD file.

It freezes after | try to create a new profile, then works forever, then gives two more runtime errors. Repeat every time | try too set up a new profile.
The folders within the Doomsday Engine folder in Application Support are all empty except for "profiles."

| already reinstalled Python and Doomsday Engine.

#7 - 2009-07-28 05:21 - pingosimon

Oh, when | renamed the folder to "Doomsday Engine old," a new folder, "Doomsday Engine" was created. | deleted Doomsday Engine old, and am
now referring to the new Doomsday Engine folder for these reports.

#8 - 2009-07-28 05:30 - skyjake

This is looking awfully lot like a bug in wxPython, or some glitch particular to your system due to the fact that the version of wxPython distributed with
Doomsday Engine.app is intended for Python 2.5.

What happens if you upgrade to Python 2.5? You can get the .dmg here: http://www.python.org/download/releases/2.5.4/
#9 - 2009-07-28 18:28 - pingosimon

| installed Python 2.5 from that link and | get the exact same errors.

Am | missing some step in installing Python 2.5? Do | need to delete my other Python versions?

#10 - 2009-08-02 07:27 - skyjake

I'm out of ideas... As far as | can tell it appears to be some glitch specific to your system that wxPython doesn't like.

This could be verified by downloading wxPython from www.wxpython.org: the Mac OS X runtime for Python 2.5 (osx-unicode) and the
osx-demos-docs packages. If the official wxPython demos fail to work then it's definitely a wxWidgets issue.

#11 - 2009-08-04 00:03 - pingosimon

Just installed Python 2.5 again, and wxPython 2.5. | ran the wxPython app, and it seemed to work. A nice GUI screen came up. Same symptoms in
Doomsday Engine though!

| guess don't worry about it, | found PrBoom and that works fine. I'll try Doomsday on my girlfriend's new Mac, and I'll report back here if anything
doesn't work.

Thanks for helping out!
